/*--- formatted by Jindent 2.1, (www.c-lab.de/~jindent) ---*/

package gprobocode;

import java.util.Vector;

import ec.gp.*;

import robocode.*;

/**
 * <p>Title: GPRobocodeData</p>
 * <p>Description: An adapting interface between Robocode and ECJ</p>
 * <p>Universita` degli Studi di Pavia</p>
 * @author Marco Piastra
 * @version 2003-5-30
 */

public class GPRobocodeData extends GPData {

    static final long serialVersionUID = -7405778470286704586L;

    public Robot robot;

    public Vector events;

    public double move;
    public double turn;
    public double turnGun;
    public double turnRadar;
    public double fire;

    public GPRobocodeData() {
        super();

        events = new Vector();
    }

    public GPData copyTo(final GPData data) {
        return data;
    }

    public void resetValues() {
        move = 0;
        turn = 0;
        turnGun = 0;
        turnRadar = 0;
        fire = 0;
    }

}

